package com.example.mathseduc

import android.content.Intent
import android.os.Bundle
import android.widget.ArrayAdapter
import android.widget.ListView
import androidx.appcompat.app.AppCompatActivity

class MultiActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_multi)

        val serverList = arrayOf("Serveur 1", "Serveur 2", "Serveur 3")

        val listView = findViewById<ListView>(R.id.listView)

        val adapter = ArrayAdapter(this, android.R.layout.simple_list_item_1, serverList)
        listView.adapter = adapter

        listView.setOnItemClickListener { _, _, position, _ ->
            val intent = Intent(this, ServerDetailsActivity::class.java)
            intent.putExtra("serverName", serverList[position])
            startActivity(intent)
        }
    }
}
